# -*- coding: utf-8 -*-

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.news_germany'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')


channellist=[
        ("WELT", "channel/UCZMsvbAhhRblVGXmEXW8TSA", 'https://yt3.ggpht.com/a-/AAuE7mDa2sEDgSo0Tqh3UGQaSwWf8bEp3ATJpJatzQ=s288-mo-c-c0xffffffff-rj-k-no'),
        ("WELT netzreporterin - Antje Lorenz", "channel/UCanbTgWMvESZy3xhXcxjHcg", 'https://yt3.ggpht.com/a-/AAuE7mD5OJUhiFJ4L8EkjNq2IqHA6tBQn2ZHazAvVw=s288-mo-c-c0xffffffff-rj-k-no'),
		("N24-DOKU", "channel/UCDdsSETDd52RdF9g_POPHWg", 'https://yt3.ggpht.com/a-/AAuE7mAmFmG1DDTc51sugasBF-j0tS4bmLQo5s9nlw=s288-mo-c-c0xffffffff-rj-k-no'),
		("Tagesschau", "channel/UC5NOEUbkLheQcaaRldYW5GA", 'https://yt3.ggpht.com/a-/AAuE7mB2FeVBiVLpa2ueoD37Djt5MLgtramx0qMZ_A=s288-mo-c-c0xffffffff-rj-k-no'),
		("Euronews", "channel/UCACdxU3VrJIJc7ujxtHWs1w", 'https://yt3.ggpht.com/a-/AAuE7mChPRlhoO8_e_p5ZET2zzO7iN9JXAwhDxsE3g=s288-mo-c-c0xffffffff-rj-k-no'),
		("RT Deutsch", "channel/UC4kbRZt6oNrlokrqrnQXpKg", 'https://yt3.ggpht.com/a-/AAuE7mBW8izoAwFZbCgpR5B5xqrB28TiHXclhivPzA=s288-mo-c-c0xffffffff-rj-k-no'),
		("Der Fehlende Part", "channel/UCp9ci2cnPMUfDnmjEJeEUYQ", 'https://yt3.ggpht.com/a-/AAuE7mCgxR1tnnyUYPrDvAH4d5tZBrHf3Pw_UaNx1g=s288-mo-c-c0xffffffff-rj-k-no'),
		("Sputnik Deutschland", "channel/UC4ohrTE3vw4FW_f-CbEM-4g", 'https://yt3.ggpht.com/a-/AAuE7mAMJhVftN9M-koXmC2Xeyu8a0c1b9aDzQlysQ=s288-mo-c-c0xffffffff-rj-k-no'),
		("DW Deutsch", "channel/UCMIgOXM2JEQ2Pv2d0_PVfcg", 'https://yt3.ggpht.com/a-/AAuE7mATduUbLgdifjatJ1IuByJBdOV3UKNQTj2VxA=s288-mo-c-c0xffffffff-rj-k-no'),
]



# Entry point
def run():
    plugintools.log("youtubeAddon.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("youtubeAddon.main_list "+repr(params))

for name, id, icon in channellist:
	plugintools.add_item(title=name,url="plugin://plugin.video.youtube/"+id+"/",thumbnail=icon,folder=True )



run()